# pulsesink

This element outputs audio to a PulseAudio sound server.

## Example pipelines

     gst-launch-1.0 -v filesrc location=sine.ogg ! oggdemux ! vorbisdec ! audioconvert ! audioresample ! pulsesink

Play an Ogg/Vorbis file.

     gst-launch-1.0 -v audiotestsrc ! audioconvert ! volume volume=0.4 ! pulsesink

Play a 440Hz sine wave.

     gst-launch-1.0 -v audiotestsrc ! pulsesink stream-properties="props,media.title=test"

Play a sine wave and set a stream property. The property can be checked with "pactl list".

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSink
                        ╰──GstAudioBaseSink
                            ╰──pulsesink

## Implemented interfaces

    GstStreamVolume

## Factory details

Authors: – Lennart Poettering

Classification: – `Sink/Audio`

Rank – primary + 10

Plugin – pulseaudio

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: { S16LE, S16BE, F32LE, F32BE, S32LE, S32BE, S24LE, S24BE, S24_32LE, S24_32BE, U8 }
             layout: interleaved
               rate: [ 1, 384000 ]
           channels: [ 1, 32 ]
    audio/x-alaw:
               rate: [ 1, 384000 ]
           channels: [ 1, 32 ]
    audio/x-mulaw:
               rate: [ 1, 384000 ]
           channels: [ 1, 32 ]
    audio/x-ac3:
             framed: true
    audio/x-eac3:
             framed: true
    audio/x-dts:
             framed: true
         block-size: { (int)512, (int)1024, (int)2048 }
    audio/mpeg:
        mpegversion: 1
    mpegaudioversion: [ 1, 3 ]
             parsed: true
    audio/mpeg:
        mpegversion: { (int)2, (int)4 }
             framed: true
      stream-format: adts

Presence – always

Direction – sink

Object type – GstPad

## Properties

### client-name

    “client-name” gchararray

The PulseAudio client name to use.

Flags : Read / Write

Default value : gst-hotdoc-plugins-scanner

### current-device

    “current-device” gchararray

The current PulseAudio sink device

Flags : Read

### device

    “device” gchararray

The PulseAudio sink device to connect to

Flags : Read / Write

Default value : NULL

### device-name

    “device-name” gchararray

Human-readable name of the sound device

Flags : Read

Default value : NULL

### mute

    “mute” gboolean

Mute state of this stream

Flags : Read / Write

Default value : false

### server

    “server” gchararray

The PulseAudio server to connect to

Flags : Read / Write

Default value : NULL

### stream-properties

    “stream-properties” GstStructure *

List of pulseaudio stream properties. A list of defined properties can be found in the pulseaudio api docs.

Below is an example for registering as a music application to pulseaudio.

     GstStructure *props;

     props = gst_structure_from_string ("props,media.role=music", NULL);
     g_object_set (pulse, "stream-properties", props, NULL);
     gst_structure_free

Flags : Read / Write

### volume

    “volume” gdouble

Linear volume of this stream, 1.0=100%%

Flags : Read / Write

Default value : 1

The results of the search are